### Method

# Vips Image draw_point

#### Declaration [src]

    int
    vips_draw_point (
      VipsImage* image,
      double* ink,
      int n,
      int x,
      int y,
      ...
    )

#### Description [src]

As `vips_draw_rect()`, but draw a single pixel at `x`, `y`.

See also

`vips_draw_rect()`.

This method is not directly available to language bindings.

#### Parameters

`ink`

  Type: An array of `double`

  Value to draw.

  The length of the array is specified in the `n` argument.
  The data is owned by the caller of the method.

`n`

  Type: `int`

  Length of ink array.

`x`

  Type: `int`

  Point to paint.

`y`

  Type: `int`

  Point to paint.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, or -1 on error.